GET /api/v202603/webCaptureCredential

Get all WebCAPture Credentials

GetWebCaptureCredentialsV202603 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
orderBy string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountNumber Account Number String equals not equals one of like not like not one of
status Status String equals
vendorName Vendor Name String equals not equals one of like not like not one of

Order By Options

Name Description
vendorName Vendor Name
username Username
status Status

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

WebCaptureCredentialResponseV202603
Property Description Type
billCaptureClientCode string
isActive boolean
providerName string
status string
statusDetail string
totalAccounts integer (int32)
username string
webCaptureCredentialId integer (int32)
webCapturePartner WebCapturePartnerResponseV202603
WebCapturePartnerResponseV202603 properties
Property Description Type
webCapturePartnerCode string
webCapturePartnerId integer (int32)
webCapturePartnerInfo string
website string
Example Response application/json
[
  {    "billCaptureClientCode": "string",    "isActive": false,    "providerName": "string",    "status": "string",    "statusDetail": "string",    "totalAccounts": 1,    "username": "string",    "webCaptureCredentialId": 1,    "webCapturePartner": {      "webCapturePartnerCode": "string",      "webCapturePartnerId": 1,      "webCapturePartnerInfo": "string"
    },    "website": "string"
  }
]